Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.navigation
Class Page

    java.lang.Object
      org.jboss.seam.navigation.Page

    public final class Page

extends Object

Metadata about page actions, page parameters, action navigation, resource bundle, etc, for a particular JSF view id.

Constructor Summary
`Page(String viewId)`

Method Summary
`List<Action>` | `getActions()`
`ConversationControl` | `getConversationControl()`
`ConversationIdParameter` | `getConversationIdParameter()`
`Navigation` | `getDefaultNavigation()`
`String` | `getDescription()`
`String` | `getEventType()`
`List<Input>` | `getInputs()`
`Map<String,Navigation>` | `getNavigations()`
`String` | `getNoConversationViewId()`
`List<Param>` | `getParameters()`
`ProcessControl` | `getProcessControl()`
`ResourceBundle` | `getResourceBundle()`
`String` | `getResourceBundleName()`
`String` | `getRestriction()`
`String` | `getScheme()`
`TaskControl` | `getTaskControl()`
`Integer` | `getTimeout()`
`String` | `getViewId()`
`boolean` | `hasDescription()`
`boolean` | `isConversationRequired()`
`boolean` | `isLoginRequired()`
`boolean` | `isRestricted()`
`boolean` | `isSwitchEnabled()`
`void` | `postRestore(javax.faces.context.FacesContext facesContext)` Check the restore permission.
`boolean` | `preRender(javax.faces.context.FacesContext facesContext)` Call page actions, in order they appear in XML, and handle conversation begin/end.
`String` | `renderDescription()`
`void` | `setConversationIdParameter(ConversationIdParameter param)`
`void` | `setConversationRequired(boolean conversationRequired)`
`void` | `setDefaultNavigation(Navigation defaultActionOutcomeMapping)`
`void` | `setDescription(String description)`
`void` | `setEventType(String eventType)`
`void` | `setLoginRequired(boolean loginRequired)`
`void` | `setNoConversationViewId(String noConversationViewId)`
`void` | `setResourceBundleName(String resourceBundleName)`
`void` | `setRestricted(boolean restricted)`
`void` | `setRestriction(String restriction)`
`void` | `setScheme(String scheme)`
`void` | `setSwitchEnabled(boolean switchEnabled)`
`void` | `setTimeout(Integer timeout)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Page

    public Page(String viewId)

Method Detail

### getResourceBundle

    public ResourceBundle getResourceBundle()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getViewId

    public String getViewId()

### renderDescription

    public String renderDescription()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### setTimeout

    public void setTimeout(Integer timeout)

### getTimeout

    public Integer getTimeout()

### setNoConversationViewId

    public void setNoConversationViewId(String noConversationViewId)

### getNoConversationViewId

    public String getNoConversationViewId()

### setResourceBundleName

    public void setResourceBundleName(String resourceBundleName)

### getResourceBundleName

    public String getResourceBundleName()

### setSwitchEnabled

    public void setSwitchEnabled(boolean switchEnabled)

### isSwitchEnabled

    public boolean isSwitchEnabled()

### getParameters

    public List<Param> getParameters()

### getNavigations

    public Map<String,Navigation> getNavigations()

### hasDescription

    public boolean hasDescription()

### isConversationRequired

    public boolean isConversationRequired()

### setConversationRequired

    public void setConversationRequired(boolean conversationRequired)

### getDefaultNavigation

    public Navigation getDefaultNavigation()

### setDefaultNavigation

    public void setDefaultNavigation(Navigation defaultActionOutcomeMapping)

### getConversationControl

    public ConversationControl getConversationControl()

### getTaskControl

    public TaskControl getTaskControl()

### getProcessControl

    public ProcessControl getProcessControl()

### getActions

    public List<Action> getActions()

### postRestore

    public void postRestore(javax.faces.context.FacesContext facesContext)

  Check the restore permission.

### preRender

    public boolean preRender(javax.faces.context.FacesContext facesContext)

  Call page actions, in order they appear in XML, and handle conversation begin/end. Also check the render permission.

### getInputs

    public List<Input> getInputs()

### isRestricted

    public boolean isRestricted()

### setRestricted

    public void setRestricted(boolean restricted)

### getRestriction

    public String getRestriction()

### setRestriction

    public void setRestriction(String restriction)

### isLoginRequired

    public boolean isLoginRequired()

### setLoginRequired

    public void setLoginRequired(boolean loginRequired)

### getScheme

    public String getScheme()

### setScheme

    public void setScheme(String scheme)

### getConversationIdParameter

    public ConversationIdParameter getConversationIdParameter()

### setConversationIdParameter

    public void setConversationIdParameter(ConversationIdParameter param)

### getEventType

    public String getEventType()

### setEventType

    public void setEventType(String eventType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD